<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfWebKargoFirma ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfWebKargoFirma
 * @subpackage Arrays
 */
class ArrayOfWebKargoFirma extends AbstractStructArrayBase
{
    /**
     * The WebKargoFirma
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\WebKargoFirma[]
     */
    public $WebKargoFirma;
    /**
     * Constructor method for ArrayOfWebKargoFirma
     * @uses ArrayOfWebKargoFirma::setWebKargoFirma()
     * @param \StructType\WebKargoFirma[] $webKargoFirma
     */
    public function __construct(array $webKargoFirma = array())
    {
        $this
            ->setWebKargoFirma($webKargoFirma);
    }
    /**
     * Get WebKargoFirma value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\WebKargoFirma[]|null
     */
    public function getWebKargoFirma()
    {
        return isset($this->WebKargoFirma) ? $this->WebKargoFirma : null;
    }
    /**
     * This method is responsible for validating the values passed to the setWebKargoFirma method
     * This method is willingly generated in order to preserve the one-line inline validation within the setWebKargoFirma method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateWebKargoFirmaForArrayConstraintsFromSetWebKargoFirma(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfWebKargoFirmaWebKargoFirmaItem) {
            // validation for constraint: itemType
            if (!$arrayOfWebKargoFirmaWebKargoFirmaItem instanceof \StructType\WebKargoFirma) {
                $invalidValues[] = is_object($arrayOfWebKargoFirmaWebKargoFirmaItem) ? get_class($arrayOfWebKargoFirmaWebKargoFirmaItem) : sprintf('%s(%s)', gettype($arrayOfWebKargoFirmaWebKargoFirmaItem), var_export($arrayOfWebKargoFirmaWebKargoFirmaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The WebKargoFirma property can only contain items of type \StructType\WebKargoFirma, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set WebKargoFirma value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\WebKargoFirma[] $webKargoFirma
     * @return \ArrayType\ArrayOfWebKargoFirma
     */
    public function setWebKargoFirma(array $webKargoFirma = array())
    {
        // validation for constraint: array
        if ('' !== ($webKargoFirmaArrayErrorMessage = self::validateWebKargoFirmaForArrayConstraintsFromSetWebKargoFirma($webKargoFirma))) {
            throw new \InvalidArgumentException($webKargoFirmaArrayErrorMessage, __LINE__);
        }
        if (is_null($webKargoFirma) || (is_array($webKargoFirma) && empty($webKargoFirma))) {
            unset($this->WebKargoFirma);
        } else {
            $this->WebKargoFirma = $webKargoFirma;
        }
        return $this;
    }
    /**
     * Add item to WebKargoFirma value
     * @throws \InvalidArgumentException
     * @param \StructType\WebKargoFirma $item
     * @return \ArrayType\ArrayOfWebKargoFirma
     */
    public function addToWebKargoFirma(\StructType\WebKargoFirma $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\WebKargoFirma) {
            throw new \InvalidArgumentException(sprintf('The WebKargoFirma property can only contain items of type \StructType\WebKargoFirma, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->WebKargoFirma[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\WebKargoFirma|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\WebKargoFirma|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\WebKargoFirma|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\WebKargoFirma|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\WebKargoFirma|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string WebKargoFirma
     */
    public function getAttributeName()
    {
        return 'WebKargoFirma';
    }
}
