<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'ArrayOfint' => '\\ArrayType\\ArrayOfint',
            'ArrayOfstring' => '\\ArrayType\\ArrayOfstring',
            'WebSiparisFiltre' => '\\StructType\\WebSiparisFiltre',
            'WebSiparisEntegrasyon' => '\\StructType\\WebSiparisEntegrasyon',
            'WebSiparisSayfalama' => '\\StructType\\WebSiparisSayfalama',
            'ArrayOfWebSiparis' => '\\ArrayType\\ArrayOfWebSiparis',
            'WebSiparis' => '\\StructType\\WebSiparis',
            'FaturaAdres' => '\\StructType\\FaturaAdres',
            'WebUlke' => '\\StructType\\WebUlke',
            'ArrayOfWebSiparisKampanya' => '\\ArrayType\\ArrayOfWebSiparisKampanya',
            'WebSiparisKampanya' => '\\StructType\\WebSiparisKampanya',
            'ArrayOfWebSiparisOdeme' => '\\ArrayType\\ArrayOfWebSiparisOdeme',
            'WebSiparisOdeme' => '\\StructType\\WebSiparisOdeme',
            'OdemeEkBilgi' => '\\StructType\\OdemeEkBilgi',
            'PuanKullanim' => '\\StructType\\PuanKullanim',
            'TeslimatAdres' => '\\StructType\\TeslimatAdres',
            'ArrayOfWebSiparisUrun' => '\\ArrayType\\ArrayOfWebSiparisUrun',
            'WebSiparisUrun' => '\\StructType\\WebSiparisUrun',
            'ArrayOfWebSiparisUrunEkSecenekOzellik' => '\\ArrayType\\ArrayOfWebSiparisUrunEkSecenekOzellik',
            'WebSiparisUrunEkSecenekOzellik' => '\\StructType\\WebSiparisUrunEkSecenekOzellik',
            'ArrayOfWebSepetOzellestirme' => '\\ArrayType\\ArrayOfWebSepetOzellestirme',
            'WebSepetOzellestirme' => '\\StructType\\WebSepetOzellestirme',
            'ArrayOfWebOzellestirmeItem' => '\\ArrayType\\ArrayOfWebOzellestirmeItem',
            'WebOzellestirmeItem' => '\\StructType\\WebOzellestirmeItem',
            'WebSiparisOdemeFiltre' => '\\StructType\\WebSiparisOdemeFiltre',
            'WebSiparisSaveRequest' => '\\StructType\\WebSiparisSaveRequest',
            'WebFaturaAdres' => '\\StructType\\WebFaturaAdres',
            'WebSiparisSaveOdeme' => '\\StructType\\WebSiparisSaveOdeme',
            'ArrayOfWebSiparisSaveOdeme' => '\\ArrayType\\ArrayOfWebSiparisSaveOdeme',
            'WebTeslimatAdres' => '\\StructType\\WebTeslimatAdres',
            'ArrayOfWebSiparisSaveUrun' => '\\ArrayType\\ArrayOfWebSiparisSaveUrun',
            'WebSiparisSaveUrun' => '\\StructType\\WebSiparisSaveUrun',
            'WebSiparisSaveResponse' => '\\StructType\\WebSiparisSaveResponse',
            'WebServisResponse' => '\\StructType\\WebServisResponse',
            'ArrayOfWebServisResponse' => '\\ArrayType\\ArrayOfWebServisResponse',
            'ArrayOfWebSepet' => '\\ArrayType\\ArrayOfWebSepet',
            'WebSepet' => '\\StructType\\WebSepet',
            'ArrayOfWebSepetUrun' => '\\ArrayType\\ArrayOfWebSepetUrun',
            'WebSepetUrun' => '\\StructType\\WebSepetUrun',
            'WebHediyeCekiUygulaRequest' => '\\StructType\\WebHediyeCekiUygulaRequest',
            'WebHediyeCekiUygulaResponse' => '\\StructType\\WebHediyeCekiUygulaResponse',
            'SetSiparisDurumRequest' => '\\StructType\\SetSiparisDurumRequest',
            'SetSiparisDurumResponse' => '\\StructType\\SetSiparisDurumResponse',
            'SetSiparisUrunDurumRequest' => '\\StructType\\SetSiparisUrunDurumRequest',
            'SetSiparisUrunDurumResponse' => '\\StructType\\SetSiparisUrunDurumResponse',
            'SiparisiKargoyaGonderRequest' => '\\StructType\\SiparisiKargoyaGonderRequest',
            'SiparisiKargoyaGonderResponse' => '\\StructType\\SiparisiKargoyaGonderResponse',
            'ArrayOfSiparisUrunDurumlari' => '\\ArrayType\\ArrayOfSiparisUrunDurumlari',
            'SiparisUrunDurumlari' => '\\StructType\\SiparisUrunDurumlari',
            'UrunIdaneNedenleriResponse' => '\\StructType\\UrunIdaneNedenleriResponse',
            'ArrayOfUrunIadeNeden' => '\\ArrayType\\ArrayOfUrunIadeNeden',
            'UrunIadeNeden' => '\\StructType\\UrunIadeNeden',
            'WebSiparisKargoPaketFiltre' => '\\StructType\\WebSiparisKargoPaketFiltre',
            'ArrayOfWebKargoPaket' => '\\ArrayType\\ArrayOfWebKargoPaket',
            'WebKargoPaket' => '\\StructType\\WebKargoPaket',
            'ArrayOfSiparisKargoPaketUrun' => '\\ArrayType\\ArrayOfSiparisKargoPaketUrun',
            'SiparisKargoPaketUrun' => '\\StructType\\SiparisKargoPaketUrun',
            'SaveSiparisKargoPaketKargoTakipNoResponse' => '\\StructType\\SaveSiparisKargoPaketKargoTakipNoResponse',
            'GetKargoSecenekRequest' => '\\StructType\\GetKargoSecenekRequest',
            'ServisSepet' => '\\StructType\\ServisSepet',
            'ArrayOfServisSepetUrun' => '\\ArrayType\\ArrayOfServisSepetUrun',
            'ServisSepetUrun' => '\\StructType\\ServisSepetUrun',
            'ArrayOfWebKargoFirma' => '\\ArrayType\\ArrayOfWebKargoFirma',
            'WebKargoFirma' => '\\StructType\\WebKargoFirma',
            'SelectWebSepetRequest' => '\\StructType\\SelectWebSepetRequest',
            'CreateSepetRequest' => '\\StructType\\CreateSepetRequest',
            'WebUpdateSepetRequest' => '\\StructType\\WebUpdateSepetRequest',
            'WebUpdateSepetResponse' => '\\StructType\\WebUpdateSepetResponse',
            'GetSepetRequest' => '\\StructType\\GetSepetRequest',
            'ArrayOfSiparisOdemeTipleri' => '\\ArrayType\\ArrayOfSiparisOdemeTipleri',
            'SiparisOdemeTipleri' => '\\StructType\\SiparisOdemeTipleri',
            'SetSepetKampanyaRequest' => '\\StructType\\SetSepetKampanyaRequest',
            'SetSepetKampanyaResponse' => '\\StructType\\SetSepetKampanyaResponse',
            'WebMagazaFiltre' => '\\StructType\\WebMagazaFiltre',
            'ArrayOfWebMagaza' => '\\ArrayType\\ArrayOfWebMagaza',
            'WebMagaza' => '\\StructType\\WebMagaza',
            'WebMagazaAyar' => '\\StructType\\WebMagazaAyar',
            'WebSaveMagazaResponse' => '\\StructType\\WebSaveMagazaResponse',
            'SetSiparisOdemeDurumRequest' => '\\StructType\\SetSiparisOdemeDurumRequest',
            'SetSiparisOdemeDurumResponse' => '\\StructType\\SetSiparisOdemeDurumResponse',
            'SelectEFaturaRequest' => '\\StructType\\SelectEFaturaRequest',
            'SelectEFaturaResponse' => '\\StructType\\SelectEFaturaResponse',
            'ArrayOfEFatura' => '\\ArrayType\\ArrayOfEFatura',
            'EFatura' => '\\StructType\\EFatura',
            'SaveEFatura' => '\\StructType\\SaveEFatura',
            'SaveEFaturaRequest' => '\\StructType\\SaveEFaturaRequest',
            'SaveEFaturaResponse' => '\\StructType\\SaveEFaturaResponse',
            'EFaturaIptalRequest' => '\\StructType\\EFaturaIptalRequest',
            'EFaturaIptalResponse' => '\\StructType\\EFaturaIptalResponse',
            'SelectIadeOdemeFiltre' => '\\StructType\\SelectIadeOdemeFiltre',
            'SelectIadeOdemeResponse' => '\\StructType\\SelectIadeOdemeResponse',
            'ArrayOfIadeOdeme' => '\\ArrayType\\ArrayOfIadeOdeme',
            'IadeOdeme' => '\\StructType\\IadeOdeme',
            'SaveBekleyenAramaRequest' => '\\StructType\\SaveBekleyenAramaRequest',
            'SaveBekleyenAramaResponse' => '\\StructType\\SaveBekleyenAramaResponse',
            'SelectSiparisDurumlariResponse' => '\\StructType\\SelectSiparisDurumlariResponse',
            'ArrayOfEnumKeyValue' => '\\ArrayType\\ArrayOfEnumKeyValue',
            'EnumKeyValue' => '\\StructType\\EnumKeyValue',
            'SelectOdemeTipleriResponse' => '\\StructType\\SelectOdemeTipleriResponse',
            'SetReferansNoResponse' => '\\StructType\\SetReferansNoResponse',
            'ArrayOfSetSiparisDurumRequest' => '\\ArrayType\\ArrayOfSetSiparisDurumRequest',
            'SetSiparisDurumListeResponse' => '\\StructType\\SetSiparisDurumListeResponse',
            'ArrayOfSetSiparisDurumListError' => '\\ArrayType\\ArrayOfSetSiparisDurumListError',
            'SetSiparisDurumListError' => '\\StructType\\SetSiparisDurumListError',
            'SelectSiparisDurumRequest' => '\\StructType\\SelectSiparisDurumRequest',
            'SelectSiparisDurumResponse' => '\\StructType\\SelectSiparisDurumResponse',
            'WebSiparisDurumLogFiltre' => '\\StructType\\WebSiparisDurumLogFiltre',
            'SelectSiparisDurumLogListResponse' => '\\StructType\\SelectSiparisDurumLogListResponse',
            'ArrayOfWebSiparisDurumLog' => '\\ArrayType\\ArrayOfWebSiparisDurumLog',
            'WebSiparisDurumLog' => '\\StructType\\WebSiparisDurumLog',
            'UpdateEfaturaRequest' => '\\StructType\\UpdateEfaturaRequest',
            'UpdateEfaturaResponse' => '\\StructType\\UpdateEfaturaResponse',
            'ArrayOfBLPaketlemeDurum' => '\\ArrayType\\ArrayOfBLPaketlemeDurum',
            'BLPaketlemeDurum' => '\\StructType\\BLPaketlemeDurum',
            'SelectSiparis' => '\\StructType\\SelectSiparis',
            'SelectSiparisResponse' => '\\StructType\\SelectSiparisResponse',
            'SelectSiparisOdeme' => '\\StructType\\SelectSiparisOdeme',
            'SelectSiparisOdemeResponse' => '\\StructType\\SelectSiparisOdemeResponse',
            'SelectCariOdeme' => '\\StructType\\SelectCariOdeme',
            'SelectCariOdemeResponse' => '\\StructType\\SelectCariOdemeResponse',
            'SelectSiparisUrun' => '\\StructType\\SelectSiparisUrun',
            'SelectSiparisUrunResponse' => '\\StructType\\SelectSiparisUrunResponse',
            'SelectSiparisKampanya' => '\\StructType\\SelectSiparisKampanya',
            'SelectSiparisKampanyaResponse' => '\\StructType\\SelectSiparisKampanyaResponse',
            'SaveSiparis' => '\\StructType\\SaveSiparis',
            'SaveSiparisResponse' => '\\StructType\\SaveSiparisResponse',
            'SetSiparisAktarildi' => '\\StructType\\SetSiparisAktarildi',
            'SetSiparisAktarildiResponse' => '\\StructType\\SetSiparisAktarildiResponse',
            'SetSiparisAktarildiV2' => '\\StructType\\SetSiparisAktarildiV2',
            'SetSiparisAktarildiV2Response' => '\\StructType\\SetSiparisAktarildiV2Response',
            'SetSiparisAktarildiIptal' => '\\StructType\\SetSiparisAktarildiIptal',
            'SetSiparisAktarildiIptalResponse' => '\\StructType\\SetSiparisAktarildiIptalResponse',
            'SetSiparisKargoyaVerildi' => '\\StructType\\SetSiparisKargoyaVerildi',
            'SetSiparisKargoyaVerildiResponse' => '\\StructType\\SetSiparisKargoyaVerildiResponse',
            'SetSiparisTeslimEdildi' => '\\StructType\\SetSiparisTeslimEdildi',
            'SetSiparisTeslimEdildiResponse' => '\\StructType\\SetSiparisTeslimEdildiResponse',
            'SetFaturaNo' => '\\StructType\\SetFaturaNo',
            'SetFaturaNoResponse' => '\\StructType\\SetFaturaNoResponse',
            'SaveKargoTakipNo' => '\\StructType\\SaveKargoTakipNo',
            'SaveKargoTakipNoResponse' => '\\StructType\\SaveKargoTakipNoResponse',
            'SelectSepet' => '\\StructType\\SelectSepet',
            'SelectSepetResponse' => '\\StructType\\SelectSepetResponse',
            'HediyeCekiUygula' => '\\StructType\\HediyeCekiUygula',
            'HediyeCekiUygulaResponse' => '\\StructType\\HediyeCekiUygulaResponse',
            'SetSiparisDurum' => '\\StructType\\SetSiparisDurum',
            'SetSiparisUrunDurum' => '\\StructType\\SetSiparisUrunDurum',
            'SaveSiparisKargoPaket' => '\\StructType\\SaveSiparisKargoPaket',
            'SaveSiparisKargoPaketResponse' => '\\StructType\\SaveSiparisKargoPaketResponse',
            'SiparisPaketleKargoyaGonder' => '\\StructType\\SiparisPaketleKargoyaGonder',
            'SiparisPaketleKargoyaGonderResponse' => '\\StructType\\SiparisPaketleKargoyaGonderResponse',
            'SelectSiparisUrunDurumlari' => '\\StructType\\SelectSiparisUrunDurumlari',
            'SelectSiparisUrunDurumlariResponse' => '\\StructType\\SelectSiparisUrunDurumlariResponse',
            'SelectUrunIadeNedenleri' => '\\StructType\\SelectUrunIadeNedenleri',
            'SelectUrunIadeNedenleriResponse' => '\\StructType\\SelectUrunIadeNedenleriResponse',
            'SelectSiparisKargoPaket' => '\\StructType\\SelectSiparisKargoPaket',
            'SelectSiparisKargoPaketResponse' => '\\StructType\\SelectSiparisKargoPaketResponse',
            'SaveSiparisKargoPaketKargoTakipNo' => '\\StructType\\SaveSiparisKargoPaketKargoTakipNo',
            'GetKargoSecenek' => '\\StructType\\GetKargoSecenek',
            'GetKargoSecenekResponse' => '\\StructType\\GetKargoSecenekResponse',
            'SelectWebSepet' => '\\StructType\\SelectWebSepet',
            'SelectWebSepetResponse' => '\\StructType\\SelectWebSepetResponse',
            'CreateSepet' => '\\StructType\\CreateSepet',
            'CreateSepetResponse' => '\\StructType\\CreateSepetResponse',
            'UpdateSepet' => '\\StructType\\UpdateSepet',
            'UpdateSepetResponse' => '\\StructType\\UpdateSepetResponse',
            'GetSepet' => '\\StructType\\GetSepet',
            'GetSepetResponse' => '\\StructType\\GetSepetResponse',
            'GetOdemeTipleri' => '\\StructType\\GetOdemeTipleri',
            'GetOdemeTipleriResponse' => '\\StructType\\GetOdemeTipleriResponse',
            'SetSepetKampanya' => '\\StructType\\SetSepetKampanya',
            'GetPaketlemeDurumlari' => '\\StructType\\GetPaketlemeDurumlari',
            'GetPaketlemeDurumlariResponse' => '\\StructType\\GetPaketlemeDurumlariResponse',
            'GetMagazalar' => '\\StructType\\GetMagazalar',
            'GetMagazalarResponse' => '\\StructType\\GetMagazalarResponse',
            'SaveMagaza' => '\\StructType\\SaveMagaza',
            'SaveMagazaResponse' => '\\StructType\\SaveMagazaResponse',
            'SetSiparisPaketlemeDurum' => '\\StructType\\SetSiparisPaketlemeDurum',
            'SetSiparisPaketlemeDurumResponse' => '\\StructType\\SetSiparisPaketlemeDurumResponse',
            'SetSiparisKargoFirmaId' => '\\StructType\\SetSiparisKargoFirmaId',
            'SetSiparisKargoFirmaIdResponse' => '\\StructType\\SetSiparisKargoFirmaIdResponse',
            'SetSiparisOdemeDurum' => '\\StructType\\SetSiparisOdemeDurum',
            'SelectEFatura' => '\\StructType\\SelectEFatura',
            'SetEFaturaIptal' => '\\StructType\\SetEFaturaIptal',
            'SetEFaturaIptalResponse' => '\\StructType\\SetEFaturaIptalResponse',
            'SelectIadeOdeme' => '\\StructType\\SelectIadeOdeme',
            'SaveBekleyenArama' => '\\StructType\\SaveBekleyenArama',
            'SelectSiparisDurumlari' => '\\StructType\\SelectSiparisDurumlari',
            'SelectOdemeTipleri' => '\\StructType\\SelectOdemeTipleri',
            'SetReferansNo' => '\\StructType\\SetReferansNo',
            'SetSiparisDurumListe' => '\\StructType\\SetSiparisDurumListe',
            'SelectSiparisDurum' => '\\StructType\\SelectSiparisDurum',
            'SelectSiparisDurumLog' => '\\StructType\\SelectSiparisDurumLog',
            'SelectSiparisDurumLogResponse' => '\\StructType\\SelectSiparisDurumLogResponse',
            'UpdateEFatura' => '\\StructType\\UpdateEFatura',
            'UpdateEFaturaResponse' => '\\StructType\\UpdateEFaturaResponse_1',
        );
    }
}
